Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.list
Class BaseFillList

    java.lang.Object
      net.sf.jasperreports.engine.component.BaseFillComponent
          net.sf.jasperreports.components.list.BaseFillList

All Implemented Interfaces:
  FillComponent

Direct Known Subclasses:
  HorizontalFillList, VerticalFillList

    public abstract class BaseFillList

extends BaseFillComponent

Base fill list component implementation.

Version:
  $Id: BaseFillList.java 3940 2010-08-20 10:35:15Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected static class` | `BaseFillList.AppendingPrintElementContainer`

Field Summary
`protected int` | `contentsHeight`
`protected FillDatasetRun` | `datasetRun`
`protected boolean` | `filling`
`protected boolean` | `fillStarted`
`protected JRTemplatePrintFrame` | `printFrame`
`protected java.util.Map` | `printFrameTemplates`

Fields inherited from class net.sf.jasperreports.engine.component.BaseFillComponent
`fillContext`

Constructor Summary
`BaseFillList(ListComponent component, JRFillObjectFactory factory)`

Method Summary
`protected JRFillExpressionEvaluator` | `createDatasetExpressionEvaluator()`
`protected void` | `createPrintFrame()`
`void` | `evaluate(byte evaluation)` Evaluates the fill component.
`JRPrintElement` | `fill()` Fills the component by creating a print element which will be included in the generated report.
`protected JRTemplateFrame` | `getFrameTemplate()`
`void` | `rewind()` The default implementation is empty.

Methods inherited from class net.sf.jasperreports.engine.component.BaseFillComponent
`evaluateDelayedElement, evaluateExpression, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.component.FillComponent
`prepare`

Field Detail

### contentsHeight

    protected final int contentsHeight

### datasetRun

    protected final FillDatasetRun datasetRun

### printFrameTemplates

    protected java.util.Map printFrameTemplates

### printFrame

    protected JRTemplatePrintFrame printFrame

### filling

    protected boolean filling

### fillStarted

    protected boolean fillStarted

Constructor Detail

### BaseFillList

    public BaseFillList(ListComponent component,
                        JRFillObjectFactory factory)
                 throws JRException

Throws:
  `JRException`

Method Detail

### createDatasetExpressionEvaluator

    protected JRFillExpressionEvaluator createDatasetExpressionEvaluator()

### evaluate

    public void evaluate(byte evaluation)
                  throws JRException

  Description copied from interface: `FillComponent`
  Evaluates the fill component.

  This method would evaluate the component expressions and store the results to be used in `FillComponent.fill()`.

  If the component needs to delay the evaluation of some of its expressions, it would call `FillContext.registerDelayedEvaluation(JRPrintElement, EvaluationTimeEnum, String)` to register a delayed evaluation print element, and perform the delayed evaluations on `FillComponent.evaluateDelayedElement(JRPrintElement, byte)`.

  Parameters:
    `evaluation` - the evaluation type
  Throws:
    `JRException`
  See Also:
    `FillContext.evaluate(net.sf.jasperreports.engine.JRExpression, byte)`

### createPrintFrame

    protected void createPrintFrame()

### getFrameTemplate

    protected JRTemplateFrame getFrameTemplate()

### fill

    public JRPrintElement fill()

  Description copied from interface: `FillComponent`
  Fills the component by creating a print element which will be included in the generated report.

  This method will get called only if `FillComponent.prepare(int)` returned a result that indicated that the component will print.

  Returns:
    the print element generated by the component

### rewind

    public void rewind()

  Description copied from class: `BaseFillComponent`
  The default implementation is empty.

  Override this method if something needs to be done on component rewind.

  Specified by:
    `rewind` in interface `FillComponent`
  Overrides:
    `rewind` in class `BaseFillComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com